Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Builder Class Reference

Helper class to create and activate CORBA objects. More...

`#include <Builder.h>`

List of all members.

## Public Methods
| TAO_NS_Builder (void)
virtual | ~TAO_NS_Builder ()
CosNotifyChannelAdmin::EventChannelFactory_ptr | build_event_channel_factory (PortableServer::POA_ptr poa ACE_ENV_ARG_DECL)
| = Factory Method. More...
CosNotifyChannelAdmin::EventChannel_ptr | build_event_channel (TAO_NS_EventChannelFactory *ecf, const CosNotification::QoSProperties &initial_qos, const CosNotification::AdminProperties &initial_admin, CosNotifyChannelAdmin::ChannelID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotification::UnsupportedQoS , CosNotification::UnsupportedAdmin )
CosNotifyChannelAdmin::ConsumerAdmin_ptr | build_consumer_admin (TAO_NS_EventChannel *ec, CosNotifyChannelAdmin::InterFilterGroupOperator op, CosNotifyChannelAdmin::AdminID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
CosNotifyChannelAdmin::SupplierAdmin_ptr | build_supplier_admin (TAO_NS_EventChannel *ec, CosNotifyChannelAdmin::InterFilterGroupOperator op, CosNotifyChannelAdmin::AdminID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
CosNotifyChannelAdmin::ProxyConsumer_ptr | build_notification_push_consumer (TAO_NS_SupplierAdmin *sa, CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )
CosNotifyChannelAdmin::ProxySupplier_ptr | build_notification_push_supplier (TAO_NS_ConsumerAdmin *ca, CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )
CosNotifyFilter::FilterFactory_ptr | build_filter_factory (ACE_ENV_SINGLE_ARG_DECL)
CosEventChannelAdmin::ProxyPushSupplier_ptr | build_push_supplier (TAO_NS_ConsumerAdmin *ca ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
CosEventChannelAdmin::ProxyPushConsumer_ptr | build_push_consumer (TAO_NS_SupplierAdmin *sa ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | apply_threadpool_qos (TAO_NS_Object &object, const NotifyExt::ThreadPoolParams &tp_params, TAO_NS_AdminProperties &admin_properties ACE_ENV_ARG_DECL)
| = Helper Methods Apply Threadpool QoS. More...
virtual void | apply_threadpool_lane_qos (TAO_NS_Object &object, const NotifyExt::ThreadPoolLanesParams &tpl_params, TAO_NS_AdminProperties &admin_properties ACE_ENV_ARG_DECL)
| Apply ThreadpoolLanes QoS. More...

## Detailed Description

Helper class to create and activate CORBA objects.

## Constructor & Destructor Documentation

TAO_NS_Builder::TAO_NS_Builder | ( | void |  | ) |

TAO_NS_Builder::~TAO_NS_Builder | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_NS_Builder::apply_threadpool_lane_qos | ( | TAO_NS_Object & | object,
|  | const NotifyExt::ThreadPoolLanesParams & | tpl_params,
|  | TAO_NS_AdminProperties &admin_properties | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Apply ThreadpoolLanes QoS.

void TAO_NS_Builder::apply_threadpool_qos | ( | TAO_NS_Object & | object,
|  | const NotifyExt::ThreadPoolParams & | tp_params,
|  | TAO_NS_AdminProperties &admin_properties | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| = Helper Methods Apply Threadpool QoS.

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_NS_Builder::build_consumer_admin | ( | TAO_NS_EventChannel * | ec,
|  | CosNotifyChannelAdmin::InterFilterGroupOperator | op,
|  | CosNotifyChannelAdmin::AdminID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )

CosNotifyChannelAdmin::EventChannel_ptr TAO_NS_Builder::build_event_channel | ( | TAO_NS_EventChannelFactory * | ecf,
|  | const CosNotification::QoSProperties & | initial_qos,
|  | const CosNotification::AdminProperties & | initial_admin,
|  | CosNotifyChannelAdmin::ChannelID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotification::UnsupportedQoS , CosNotification::UnsupportedAdmin )

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_NS_Builder::build_event_channel_factory | ( | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL | ) |

| = Factory Method.

CosNotifyFilter::FilterFactory_ptr TAO_NS_Builder::build_filter_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

CosNotifyChannelAdmin::ProxyConsumer_ptr TAO_NS_Builder::build_notification_push_consumer | ( | TAO_NS_SupplierAdmin * | sa,
|  | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out proxy_id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_NS_Builder::build_notification_push_supplier | ( | TAO_NS_ConsumerAdmin * | ca,
|  | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out proxy_id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )

CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_NS_Builder::build_push_consumer | ( | TAO_NS_SupplierAdmin *sa | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_NS_Builder::build_push_supplier | ( | TAO_NS_ConsumerAdmin *ca | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )

CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_NS_Builder::build_supplier_admin | ( | TAO_NS_EventChannel * | ec,
|  | CosNotifyChannelAdmin::InterFilterGroupOperator | op,
|  | CosNotifyChannelAdmin::AdminID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )

The documentation for this class was generated from the following files:

- Builder.h
- Builder.cpp